Cyberduck Mountain Duck CLI

#9730 closed enhancement (wontfix)

Permissions column no longer shows AWS S3 permissions

Reported by: jcappell Owned by: dkocher
Priority: normal Milestone:
Component: s3 Version: 5.1
Severity: normal Keywords: AWS, permisions, s3, ACL
Cc: Architecture:
Platform: Mac OS X 10.11

Description (last modified by dkocher)

A year or two ago, you helpfully implemented a suggestion of mine (emailed to dkocher@… on Thu, Jun 12, 2014 at 6:08 PM, subject "s3.amazonaws.com and permission column") of showing AWS permissions in the permissions column, but since 5.1 or so, this seems to have stopped working; the permissions column has gone back to just showing "--". This may be related to another issue #9731 I've been newly seeing (in a file's info dialog, changes to permission are not immediately shown without refresh + returning to that file's info dialog), but I'll of course enter a separate ticket for that one.

For reference (I don't recall if I created a tracker account and entered it as a ticket, though I see in my email David Kocher replied suggested I do so), this was the original email back then:

At https://groups.google.com/forum/#!msg/cyberduck/kJqa9boQDLY/482b1UD4yLwJ you stated that

"Because the ACL is a list of grantees with a list of permissions it is difficult to visualize in a single table cell. I understand that you suggest just to display the permissions of the "http://acs.amazonaws.com/groups/global/AllUsers" (anonymous) group. We would need to introduce a new column in the browser for this which I will consider for a future release."

You wouldn't necessarily need a new column, and you wouldn't have to show just the permissions for the anonymous group. Since the permission column isn't currently being used to display anything else while connected to s3, then for Amazon s3 connection cases alone, each cell in the Permission column could display full permission information for that row's file, as a simple comma-delimited or semicolon-delimited string, e.g. "Everyone:READ; exampleuser:FULL_CONTR..." Sure, depending on the number of grantees, that may seem a bit long for one table cell, but the user could always just drag the column boundary to widen the column until there's no ellipsis and see the whole grantee list.

Thanks.

Change History (12)

comment:1 Changed on Oct 10, 2016 at 11:43:30 PM by jcappell

  • Keywords s3 ACL added
  • Summary changed from Permissions Column no longer shows AWS permissions to Permissions Column no longer shows AWS s3 permissions

comment:2 Changed on Oct 11, 2016 at 8:03:32 AM by dkocher

  • Component changed from core to s3
  • Milestone set to 6.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Oct 11, 2016 at 8:03:55 AM by dkocher

  • Description modified (diff)

comment:4 Changed on Oct 11, 2016 at 10:19:42 AM by dkocher

  • Summary changed from Permissions Column no longer shows AWS s3 permissions to Permissions column no longer shows AWS S3 permissions

comment:5 Changed on Oct 17, 2016 at 1:46:55 PM by dkocher

Table cell values are cached. Therefore values are not displayed after the ACLs are retrieved when the Info panel is opened for a file. 

Last edited on Mar 3, 2017 at 3:50:51 PM by dkocher (previous) (diff)

comment:6 Changed on Oct 17, 2016 at 3:08:07 PM by dkocher

  • Type changed from defect to enhancement

comment:7 Changed on Oct 19, 2016 at 2:17:19 PM by dkocher

  • Milestone changed from 6.0 to 5.2

Milestone renamed

comment:8 Changed on Oct 19, 2016 at 6:51:44 PM by dkocher

  • Milestone changed from 5.2 to 6.0

Ticket retargeted after milestone closed

comment:9 Changed on Jan 11, 2017 at 8:33:37 AM by dkocher

  • Milestone changed from 6.0 to 5.3

Milestone renamed

comment:10 Changed on Jan 11, 2017 at 3:32:21 PM by dkocher

  • Milestone changed from 5.3 to 6.0

Ticket retargeted after milestone closed

comment:11 Changed on May 5, 2017 at 1:45:11 PM by dkocher

  • Milestone changed from 6.0 to 7.0

Ticket retargeted after milestone closed

comment:12 Changed on Nov 8, 2017 at 9:39:12 AM by dkocher

  • Milestone 7.0 deleted
  • Resolution set to wontfix
  • Status changed from assigned to closed

We are unable to fix this without a severe performance impact as reading the ACLs requires another HTTP request for every file.

Note: See TracTickets for help on using tickets.
swiss made software